Subject: [quicwg/base-drafts] Use usual representation for packet headers (#54)

From: Lars Eggert <[email-masked]>
Date: Wed, 30 Nov 2016 03:07:48 -0800

The IETF has a common representation for packet headers that most other RFCs follow. [Section 3.1 of RFC2360](https://tools.ietf.org/html/rfc2360#section-3.1) describes the basic idea, but other more recent RFCs have adopted some extensions (e.g., the [HIP protocol](https://tools.ietf.org/html/rfc5201).

The QUIC drafts should use the same representation. The current figures don't always have proportional field lengths, don't show bit flags, etc., which IMO is confusing. If we don't want fo fix the figures, I'd rather replace the current figures with a textual list of fields, rather than using something that looks familiar to IETFers but is really something different.

Also, check out http://asciiflow.com/ for making diagrams.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/54